@import url('./variables.css');

.team {
    text-align: center;
}

.team__title {
    font-size: var(--title-font-size-extra-big);
    font-weight: var(--title-font-weight);
    color: var(--primary-color);
    margin-bottom: var(--margin-xl);
}

.team__highlight {
    margin-bottom: var(--margin-xxl);
}

.team__highlight-container {
    max-width: 800px;
    margin: 0 auto;
    text-align: center;
}

.team__highlight-image {
    width: 100%;
    max-width: 300px;
    height: auto;
    margin-bottom: var(--margin-md);
}

.team__highlight-info {
    margin-top: var(--margin-sm);
}

.team__highlight-name {
    font-size: var(--subtitle-font-size);
    font-weight: var(--subtitle-font-weight);
    color: var(--primary-color);
}

.team__highlight-role {
    font-size: var(--normal-text-font-size);
    color: var(--primary-color);
    margin-top: var(--margin-xs);
}

.team__highlight-linkedin i {
    color: var(--accent-color);
    font-size: 24px;
    margin: 0 var(--margin-xs);
}

.team__grid {
    display: grid;
    padding: 60px;
    grid-template-columns: repeat(1, 1fr);
    gap: var(--gap-xl);
    background-color: var(--primary-color);
}

.team__member {
    color: var(--secondary-color);
    text-align: center;
    border-radius: var(--border-radius-md);
    padding: var(--padding-xl);
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.team__member:hover {
    transform: translateY(-10px);
    box-shadow: 0 6px 10px rgba(0, 0, 0, 0.2);
}

.team__image {
    width: 100%;
    max-width: 300px;
    height: auto;
    margin-bottom: var(--margin-sm);
}

.team__name {
    font-size: var(--subtitle-font-size);
    font-weight: var(--subtitle-font-weight);
}

.team__role {
    font-size: var(--normal-text-font-size);
    margin-top: var(--margin-xs);
}

.team__linkedin i {
    color: var(--accent-color);
    font-size: 24px;
    margin: 0 var(--margin-xs);
}

@media (min-width: 768px) {
    .team__grid {
        padding: 10px;
        grid-template-columns: repeat(2, 1fr);
    }

    .team__highlight-container {
        text-align: center;
    }
}

@media (min-width: 1024px) {
    .team__grid {
        grid-template-columns: repeat(4, 1fr);
    }
}

@media (max-width: 480px) {
    .team__grid {
        padding: var(--padding-sm);
    }
  }